## org.eclipse.datatools.connectivity.sqm.core.containment
Interface ContainmentService

All Known Implementing Classes:
  ContainmentServiceImpl

public interface ContainmentService

Method Summary
`java.util.Collection` `getAllContainedDisplayableElements(EObject obj)`
`java.util.Collection` `getAllContainedElements(EObject obj)`
`java.util.List` `getAllContainers(EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(EObject obj, java.lang.String group)`
`java.util.Collection` `getContainedElements(EObject obj)`
`EObject` `getContainer(EObject obj)`
`EStructuralFeature` `getContainmentFeature(EObject obj)`
`java.lang.String` `getGroupId(EObject obj)`
`EObject` `getRootElement(EObject obj)`
`boolean` `isDisplayableElement(EObject obj)`

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(EObject obj)

### getAllContainedElements

    public java.util.Collection getAllContainedElements(EObject obj)

### getContainedDisplayableElements

    public java.util.Collection getContainedDisplayableElements(EObject obj)

### getAllContainedDisplayableElements

    public java.util.Collection getAllContainedDisplayableElements(EObject obj)

### getContainedDisplayableElements

    public java.util.Collection getContainedDisplayableElements(EObject obj,
                                                                java.lang.String group)

### getContainer

    public EObject getContainer(EObject obj)

### getAllContainers

    public java.util.List getAllContainers(EObject obj)

### getRootElement

    public EObject getRootElement(EObject obj)

### getContainmentFeature

    public EStructuralFeature getContainmentFeature(EObject obj)

### isDisplayableElement

    public boolean isDisplayableElement(EObject obj)

### getGroupId

    public java.lang.String getGroupId(EObject obj)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.